---
title: Tax document list
slug: apis/accounts/account-mgmt-apis/get-tax-documents
description: List available tax documents for an account via GET /core/v1/dda/accounts/{accountnumber}/tax-documents, including document IDs.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T05:52:20.441Z
---

## API reference

When the account is over a year old, returns a list of the tax documents associated with the specified account based on query criteria. The list includes each document's unique GUID, which you need to pull a specific document. The response values below are repeated for each document in the list.

Once you have the document ID use [GET /core/v1/dda/accounts/&#x7B;accountNumber}/tax-documents/&#x7B;id}](docId\:hHDTdVSPONreJhJT_0rhw) to pull an individual document.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /core/v1/dda/accounts/{accountNumber}/tax-documents/",
  "method": "GET",
  "url": " https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/tax-documents/",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "h7B5XNrX_RLOjzAzYPT5J",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents' \\\n--header 'Authorization: Bearer <token>'",
        "customLabel": ""
      },
      {
        "id": "4rmYpDRipkUflkL9BJfGy",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': '/core/v1/dda/accounts/2203250853/tax-documents?accountNumber=String&Status=String&documentType=String&year=Integer',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "7L_7exAgTnYamwE0wQ2uK",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"/core/v1/dda/accounts/2203250853/tax-documents?accountNumber=String&Status=String&documentType=String&year=Integer\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "22p0MYtyoZs5aYyPRc-xK",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/core/v1/dda/accounts/2203250853/tax-documents?accountNumber=String&Status=String&documentType=String&year=Integer\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "PXd_FTns7ovEE1Mk3XSsM",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "h7B5XNrX_RLOjzAzYPT5J"
  },
  "results": {
    "languages": [
      {
        "id": "Inq22wDZxrqFF2CdgNJa6",
        "language": "200",
        "customLabel": "",
        "code": "{   \"results\":\n    [\n\n\n\n     ],\n     \"pageNumber\": 1,\n     \"pageSize\": 0,\n     \"hasPreviousPage\": false,\n     \"hasNextPage\": false\n}"
      }
    ],
    "selectedLanguageId": "Inq22wDZxrqFF2CdgNJa6"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the customer's account that earns tax-reportable income",
        "": "Number of the customer's account that earns tax-reportable income"
      }
    ],
    "queryParameters": [
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Status of the document in the Cross River system:\n- Importing\n- Active\n- Recalled",
        "": "status"
      },
      {
        "name": "documentType",
        "kind": "optional",
        "type": "string",
        "description": "Document type the query returns information about:\n- Form1099Int\n- Unknown",
        "": "Document type the query returns information about:\n- Form1099Int\n- Unknown"
      },
      {
        "name": "year",
        "kind": "optional",
        "type": "Integer",
        "description": "Year the document covers, in the format YYYY",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "Cross River system ID of the specific document, in GUID format. Use this ID to get the document in PDF format."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The account number used in your request",
      "children": []
    },
    {
      "name": "customerId",
      "kind": "optional",
      "type": "string",
      "description": "The unique ID assigned to a customer when the customer record is created. You need this ID to take action for a specific customer. For example, when opening an account or adding an address to a customer record.\n\nThe ID is in GUID format.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Document status in the system:\n- Importing\n- Active\n- Recalled",
      "children": []
    },
    {
      "name": "documentType",
      "kind": "optional",
      "type": "string",
      "description": "Document type the query returns information about:\n- Form1099Int\n- Unknown",
      "children": []
    },
    {
      "name": "year",
      "kind": "optional",
      "type": "string",
      "description": "Year the document covers, in the format YYYY",
      "children": []
    },
    {
      "name": "isCorrection",
      "kind": "optional",
      "type": "Boolean",
      "description": "True if the document is a correction to a previously generated document. Otherwise, false.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When the document was created. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "recalledAt",
      "kind": "optional",
      "type": "string",
      "description": "When the document was recalled, for example for a correction. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-corev1ddaaccountsaccountnumbertax-documen",
  "legacyHash": "6CxX7v9g2t8oBONNcIptN"
}
```
:::

:::hint{type="warning"}
**IMPORTANT**
Only pull documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
:::

:::hint{type="info"}
The IRS requires Cross River to provide account holders with an IRS Form 1099 for earnings equal to or greater than $10.00, per taxpayer identification number (TIN).Should the customer have more than one account, the system generates a 1099 for *each&#x20;*&#x61;ccount if the earnings of *all&#x20;*&#x61;ccounts total $10.00 or more.
:::

